<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class HelloMail extends Mailable
{
    use Queueable;
    use SerializesModels;

    public function __construct(protected $name) {}

    public function envelope(): Envelope
    {
        return new Envelope(
            subject: '邮件功能测试',
        );
    }

    public function content(): Content
    {
        return new Content(htmlString: "<p>您好，{$this->name}</p><p>这是一封测试邮件，请勿回复。<br><br>祝，工作顺利！</p>");
    }

    public function attachments(): array
    {
        return [];
    }
}
